View Issue Details

IDProjectCategoryView StatusLast Update
0003184Far ManagerPanel.QViewpublic2016-03-04 04:45
Reporterfml2Assigned Tozg 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version3.0 
Target VersionFixed in Version3.0 
Summary0003184: Сделать возможным прерывание сканирования каталога в QuickView
DescriptionСитуация описана тут:
fml2 wrote


Я тут включил режим "QuickView", находясь в сетевом каталоге, и лишний раз нажал "Ctrl+PgUp", т.е. перешел слишком "высоко". И попал, видимо, в/на огромный каталог.

Открылось окно, в котором отображался подсчет размера этого каталога. Остановить его я не смог (интуитивная кнопка Esc желаемого эффекта не возымела).


Т.к. ответов не последовало, я предполагаю, что прерывание сканирования невозможно. Хотелось бы, чтобы это было возможно.
TagsNo tags attached.
Build4567

Relationships

related to 0003154 closedzg Не отрабатывает клавиша ESC при получении списка каталогов (предполагаю в ф-ции GetPluginDirList). 

Activities

fml2

2016-02-22 10:17

reporter   bugnote:0014332

Last edited: 2016-02-23 21:19

View 2 revisions

Немного подробностей о том, как воспроизвести проблему (она имеется не всегда).

Запускаю Фар (4544 х86) с ключами "/p /m".

Итак: текущий каталог в панели ААА\БББ, курсор в панели стоит где-то ниже (например, на каком-то файле, находящемся внутри ААА\БББ).

Становлюсь на ".." (например, нажав "Home"), т.е. пока не меняю каталог панели. Начинает подсчитываться размер каталога "ААА\БББ". Это действие можно прервать, нажав Esc.

Теперь ухожу с ".." немного ниже (ставлю курсор на прежний файл) и нажимаю "Ctrl+PgUp". Обычно (не в режиме Quick View) приэтом каталогом панели становится ААА, а курсор стоит на БББ.

Но в режиме Quick View у меня происходит следующее: панель пока еще не перерисовывается (т.е. в заголовке по-прежнему ААА\БББ), всплывает сообщение о подсчете размера БББ -- и его никак нельзя убрать.

Если я нажимаю "Ctrl+PgUp" в тот момент, когда в панели отображается ААА\БББ, а курсор стоит на ".." (в другой панели при этом показывается информация о ААА\БББ -- полная или "прерванная"), то подсчет размера, как вы и пишете, не начинается (это логично, ведь информация по-прежнему будет относиться к ААА\БББ).

2useven10

2016-03-01 07:29

developer   bugnote:0014351

0003154 с этим не связан?

2useven10

2016-03-01 11:32

developer   bugnote:0014352

Кагегория, видимо, должна быть другая...

fml2

2016-03-04 01:00

reporter   bugnote:0014354

Вроде починено в сборке 4567 (какой интересный номер!)

Issue History

Date Modified Username Field Change
2016-02-21 01:23 fml2 New Issue
2016-02-22 10:17 fml2 Note Added: 0014332
2016-02-23 21:19 fml2 Note Edited: 0014332 View Revisions
2016-03-01 07:29 2useven10 Note Added: 0014351
2016-03-01 07:29 2useven10 Assigned To => zg
2016-03-01 07:29 2useven10 Status new => assigned
2016-03-01 11:30 2useven10 Category Panel.QView => _Common
2016-03-01 11:30 2useven10 Project Wishes => Far Manager
2016-03-01 11:31 2useven10 Category _Common => Panel.QView
2016-03-01 11:32 2useven10 Note Added: 0014352
2016-03-01 21:48 2useven10 Relationship added related to 0003154
2016-03-03 23:00 zg Status assigned => feedback
2016-03-04 01:00 fml2 Note Added: 0014354
2016-03-04 01:00 fml2 Status feedback => assigned
2016-03-04 04:45 zg Build => 4567
2016-03-04 04:45 zg Status assigned => closed
2016-03-04 04:45 zg Resolution open => fixed
2016-03-04 04:45 zg Fixed in Version => 3.0